@ECHO OFF
cd BIOS
echo Checking ROM file .....
CKMODE XH110G00.110 XH110 4055
if errorlevel 1 goto end

:flash
AFUDOSA5.exe XH110G00.110 /p /b /n
if errorlevel 1 goto end

call DISEUP.EXE
fpt.exe -greset

:end
echo Update not sucessful.
cd ..
exit